Explore contracts with Boosts
curl --request GET \
--url https://api-v2.boost.xyz/exploreimport requests
url = "https://api-v2.boost.xyz/explore"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-v2.boost.xyz/explore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"boosts": [
{
"id": "8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:1",
"action": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"allowList": {
"owner": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"contractAddress": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"type": "SimpleAllowList",
"addresses": [
"0x378632819f39c74c4f56b1429e760739c5fb51b7"
]
},
"boostIndex": "<string>",
"budget": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"incentiveCount": "<string>",
"owner": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"validator": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"blockTimestamp": "<string>",
"txHash": "<string>",
"chainId": 123,
"protocolFee": "<string>",
"maxParticipants": "<string>",
"incentives": [
{
"type": "AllowListIncentive",
"allowListAddress": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"limit": "<string>"
}
],
"createdAtBlockTimestamp": "<string>",
"actionSteps": [
{
"chainId": 123,
"signature": "<string>",
"signatureName": "<string>",
"signatureType": "event",
"actionType": 123,
"targetContract": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"parameters": {
"filterType": 123,
"fieldType": 123,
"fieldIndex": 123,
"filterData": "<string>"
},
"claimant": "0x378632819f39c74c4f56b1429e760739c5fb51b7"
}
],
"createdAtChainBlockNumbers": {},
"usdSpend": 123,
"tokenSpend": 123,
"isActive": true,
"availableBudgetUsd": "<string>",
"templateId": "<string>",
"actionTemplateId": "<string>",
"nftImageUri": "<string>",
"nftName": "<string>",
"boostName": "<string>",
"projectImageUri": "<string>",
"tokenImageUri": "<string>"
}
],
"totalCount": 123
}{
"error": "<string>"
}Boost
Explore contracts with Boosts
Discover Boosts with the most claim activity, along with their action and incentive configurations, and total USD distributed.
GET
/
explore
Explore contracts with Boosts
Query Parameters
The desired page to return from the query
Required range:
x >= 0The amount of items to return from the query, defaults to 10, and must be <= 100
Required range:
0 <= x <= 100Sort by most total completions, total budget, or recent Boost creations
Available options:
most-completions, total-spend, recently-deployed Example:
"most-completions"
The time range to filter by
Available options:
6h, 24h, 7d Example:
"7d"
A comma separated list of chain IDs for Boost actions to filter by
Example:
"8453,10"
Filter by Boosts created by a specific user address
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x378632819f39c74c4f56b1429e760739c5fb51b7"